[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TValueListEditor.SetCells

Sets the value in the Cells property at the specified position.

## Declaration

Source position: valedit.pas line 170

`protected procedure TValueListEditor.SetCells(`
`ACol: Integer;`
`ARow: Integer;`
`const AValue: string`
`); override;`

## Arguments

`ACol` |  | Column number for the new cell value.
`ARow` |  | Row number for the new cell value.
`AValue` |  | New value for the cell.

## Description

SetCells is an overridden procedure used to set the value in the Cells property at the specified row and column position. SetCells ensures that values written to the Cells property are also stored in the Strings property using the "Key=Value" convention used in the control. The new cell value in AValue is applied to either the Key or the Value based on the column number in ACol (0 is for Key, 1 is for Value).

Cells with a row number of 0 (zero) are used for fixed title captions when they are enabled in the DisplayOptions for the control. When DisplayOptions contains the value doColumnTitles, the inherited SetCells method is called to display the new title caption entered at run-time. Use TitleCaptions to set the text for column title captions at design-time.

Use Cells to read or write a value in the property.

## See also

TValueListEditor.Strings |  | Stores the keys, values, and item definitions in the control.
TValueListEditor.DisplayOptions |  | Enables or disables display features and behaviors in the control.
TCustomStringGrid.Cells |  | Provides indexed access to a cell value by its column and row number.
TCustomStringGrid.SetCells |  | Sets the value for the indexed Cells property.
TCustomGrid.KeyPress |  | Applies the specified key press character to the control.